Results 1 to 4 of 4

Thread: HP tx2z

  1. #1

    Default HP tx2z

    Hi, I am new to using tablet PC's with linux. There is no configuration in sax2 for the HP tx2z, it seems there is a profile for each tablet up until that model. I was wondering, how would I go about configuring my tablet. I Googled it and found little information, including a bug report for opensuse that there is no profile in sax, but the resolution is that they will not solve it.

    Thanks,
    Michael

  2. #2
    Join Date
    Sep 2009
    Location
    France
    Posts
    5

    Lightbulb Re: HP tx2z

    I've installed openSuSE 11.1 on my HP tx2-1250ef, and wrote an HowTo here : SDB:Howto install OpenSuSE on HP tx2-xxxx laptops - openSUSE

    You will see that not only sax2 parameters still lacks ...

    In brief, that's actually really tricky to configure it ! But it's worth, too : touch is very responsive, and I often touch my screen instead of using the touchpad just to close or displace a "gelatine" OpenGL window. In Gimp, stylus is recognized and fully functionnal. Under window, at the contrary, stylus is not recognized as a digitizer and therefore pressure is ignored.

    You can notice that only the three devices with proprietary drivers causes problems. So don't hesitate to reports bugs and to ask them for a better Linux support.

  3. #3

    Default Re: HP tx2z

    THANKS! That was very helpful, do you think the 11.2 will have the new n-trig kernel module?

  4. #4
    Join Date
    Sep 2009
    Location
    France
    Posts
    5

    Default Re: HP tx2z

    I don't know. It depends on this bug fix https://bugzilla.novell.com/show_bug.cgi?id=548463

    You can vote for this bug. Votes reflect the public interests.

    The future 11.2 is based on 2.6.31 kernel, which have still NOT the good hid-ntrig.c. But it's easy to fix if opensuse kernel packagers replace the bad file by the right one. They do so for many kernel issues, and they can do so easily for the final 11.2 release. Ask them.

    In the same way, you can ask to linuxwacom packagers to package the last updated and PATCHED linuxwacom (patched for 1b96 vendor support)

    A patched linuxwacom and an up-to-date hid-ntrig.c would greatly helps peoples to install OpenSuSE on tx2 laptops.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •